/report/:id
curl --request GET \
--url https://api.tagdeliver.com/v1/report/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/report/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/report/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"id": 19972,
"title": null,
"created_by": 564,
"organisation_id": 3,
"fields": [
"date",
"publisher",
"uid",
"net_revenue",
"gross_revenue"
],
"date_range": "seven_days",
"custom_date": null,
"filters": {
"account_name": {
"matches": [],
"type": "include"
},
"account_owner": {
"matches": [],
"type": "include"
},
"channel": {
"matches": [],
"type": "include"
},
"config_id": {
"matches": [],
"type": "include"
},
"creative_size": {
"matches": [],
"type": "include"
},
"device": {
"matches": [],
"type": "include"
},
"environment": {
"matches": [],
"type": "include"
},
"geo": {
"matches": [],
"type": "include"
},
"line_item": {
"matches": [],
"type": "include"
},
"oid": {
"matches": [],
"type": "include"
},
"partner": {
"matches": [],
"type": "include"
},
"platform": {
"matches": [],
"type": "include"
},
"region": {
"matches": [],
"type": "include"
},
"revenue_source": {
"matches": [],
"type": "include"
},
"uid": {
"matches": [],
"type": "include"
},
"unit": {
"matches": [],
"type": "include"
}
},
"order": null,
"limit": null,
"created_on": "2025-11-24 11:16:16",
"table_state": null,
"temporary": true
},
"success": true
}Reporting/Revenue Reports
/report/:id
Fetch a reports configuration details
GET
/
v1
/
report
/
{id}
/report/:id
Was this page helpful?
⌘I